ラック
Home > ブログ > 記事 > 2018年3月 > Githubで急に認証を求められるようになった

Githubで急に認証を求められるようになった

カテゴリ: 開発環境

先週辺りから、git bashからGithubにpushしようとすると急に認証を求められるようになりました。SourceTreeも同様。

SourceTreeはシステム内のgitではなく独自のgit使用の設定にしていました。そのため、これはGithub側に何かあったのかと思っていました。

その後、症状が改善されることがなかったので一過性のものではなさそうだと思い、調査しました。

するとあっさりヒット。TLS1.1をサポートから外したため、警告が出ていたようです。

対処法はいたってシンプルで、gitのバージョンを上げること。これで症状はなくなりました。SourceTreeは独自からシステムのものに変更するか、同梱されているgitのバージョンアップを待つか……という感じでしょうか。

タグ: Github,Git

 



関連する記事一覧